<?php
/*
Скрипт загруз центра для JohnCMS
Автор: Максим (simba)
ICQ: 61590077
Сайт: http://symbos.su
R866920725287
Z117468354234
*/

define('_IN_JOHNCMS', 1);
$textl = 'Закладки';
require_once '../incfiles/head.php';
if(!$user_id){
    echo'<div class="rmenu">Закладки могут быть только у авторизованных пользователей!</div>';
    echo'<div class="menu"><a href="index.php">К разделам</a></div>';
    include_once '../incfiles/end.php';
    exit;
}

$id = intval($_GET['id']);
$dejst = $_GET['dejst'];
switch($dejst){
    ///////////////////////////////////////////
    /////////// Создание закладок /////////////
    ///////////////////////////////////////////
    case'add':
    echo '<div class="phdr">Добавление закладки</div>';
    mysql_query("INSERT INTO `down_bookmarks` SET `user` = '".$user_id."', `file` = '".$id."', `time` = '".time()."';");
    echo'<div class="gmenu">Файл успешно добавлен в Ваши закладки!</div>';
    echo'<div class="menu"><a href="index.php">В загрузки</a></div>';
    break;
    ///////////////////////////////////////////
    /////////// Удаление закладок /////////////
    ///////////////////////////////////////////
    case'del':
    echo '<div class="phdr">Удаление закладки</div>';
    mysql_query("DELETE FROM `down_bookmarks` WHERE `file` = '".$id."' AND `user` = '".$user_id."'");
    echo'<div class="gmenu">Закладка успешно удалена!</div>';
    echo'<div class="menu"><a href="index.php">К разделам</a></div>';
    break;
    ///////////////////////////////////////////
    /////////// Страница закладок /////////////
    ///////////////////////////////////////////
    default:
    echo '<div class="phdr">Закладки:</div>';
    $total = mysql_result(mysql_query("SELECT COUNT(*) FROM `down_bookmarks` WHERE `user` = '".$user_id."'"), 0);
    if($total){
    $zap = mysql_query("SELECT * FROM `down_bookmarks` WHERE `user` = '".$user_id."' ORDER BY `time` DESC LIMIT " . $start . "," . $kmess);
    while ($zap2 = mysql_fetch_array($zap)) {
    echo ($i % 2) ? '<div class="list1">' : '<div class="list2">';
    $i++;

    $filename = mysql_query("select * from `downfiles` where `id` = '".$zap2['file']."';");
    $filename = mysql_fetch_array($filename);
    $filename = explode('||||', $filename['name']);
    $filtime = date("d.m.Y - H:i", $zap2['time']);
    echo'Файл: <a href="file_'.$zap2['file'].'.html">'.$filename[0].'</a><div class="sub">Добавлен в закладки: '.$filtime.'<br/>';
    echo'<a href="index.php?act=bookmarks&amp;dejst=del&amp;id='.$zap2['file'].'">Удалить из закладок</a></div>';
    echo'</div>';
    }
    echo'<div class="phdr">Всего: '.$total.'</div>';
    if ($total > $kmess){
    	echo '<div class = "phdr">' . functions::display_pagination('index.php?act=bookmarks&amp;', $start, $total, $kmess) . '';
    	echo '</div><div class="menu"><form action="index.php" method="get"><input type="hidden" name="act" value="bookmarks"/><input type="text" name="page" size="2"/><input type="submit" value="К странице &gt;&gt;"/></form></div>';}
    echo '<div class="menu"><a href="index.php">К разделам</a></div>';
    }else{
        echo'<div class="rmenu">У Вас нет добавленных закладок!</div>';
        echo'<div class="menu"><a href="index.php">К разделам</a></div>';
    }
    break;
    }
?>